# ZonedDateTimeSerializer (server 1.1 API)
declaration: package: dev.plex.util.adapter, class: ZonedDateTimeSerializer

Package dev.plex.util.adapter

# Class ZonedDateTimeSerializer

java.lang.Object
dev.plex.util.adapter.ZonedDateTimeSerializer

All Implemented Interfaces:
  `com.google.gson.JsonSerializer<ZonedDateTime>`

public class ZonedDateTimeSerializer extends Object implements com.google.gson.JsonSerializer<ZonedDateTime>

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`TIMEZONE`

## Constructor Summary

Constructors
Constructor
Description
`ZonedDateTimeSerializer()`

## Method Summary

Modifier and Type
Method
Description
`com.google.gson.JsonElement`
`serialize(ZonedDateTime src, Type typeOfSrc, com.google.gson.JsonSerializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TIMEZONE

private static final String TIMEZONE

## Constructor Details

### ZonedDateTimeSerializer

public ZonedDateTimeSerializer()

## Method Details

### serialize

public com.google.gson.JsonElement serialize(ZonedDateTime src, Type typeOfSrc, com.google.gson.JsonSerializationContext context)

Specified by:
  `serialize` in interface `com.google.gson.JsonSerializer<ZonedDateTime>`